-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: localhost
-- Erstellungszeit: 03. Jul 2023 um 22:49
-- Server-Version: 10.5.19-MariaDB-0+deb11u2
-- PHP-Version: 7.4.33

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Datenbank: `deaddrop`
--

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `clients`
--

CREATE TABLE `clients` (
  `clientID` varchar(38) NOT NULL,
  `clientName` varchar(50) NOT NULL,
  `clientKey` text NOT NULL,
  `sessionID` varchar(255) DEFAULT NULL,
  `sessExpTime` time DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `ddrop`
--

CREATE TABLE `ddrop` (
  `ID` varchar(38) NOT NULL COMMENT 'SchlüsselHash',
  `TTL` int(10) UNSIGNED NOT NULL DEFAULT 0 COMMENT 'Time to Life for Msg (Days)',
  `max_messages` int(11) NOT NULL DEFAULT 100,
  `Alias` varchar(50) NOT NULL DEFAULT 'myNewDrop',
  `Type` int(11) NOT NULL DEFAULT 1,
  `last_msg_change` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dropconfig`
--

CREATE TABLE `dropconfig` (
  `ID` int(11) NOT NULL,
  `SESSION_MIN_TOUCH_TIME` int(11) NOT NULL COMMENT 'Legt fest nach welcher Zeit in Minuten eine Session aktualisiert werden soll',
  `SQL_QUERY_RETRIES` int(11) NOT NULL COMMENT 'Anzahl der wiederholungen für SQL Abfragen, die unerwartet fehlschlagen',
  `WEB_SESSION_TIMEOUT` int(11) NOT NULL COMMENT 'Session Timeout für client sessions'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Daten für Tabelle `dropconfig`
--

INSERT INTO `dropconfig` (`ID`, `SESSION_MIN_TOUCH_TIME`, `SQL_QUERY_RETRIES`, `WEB_SESSION_TIMEOUT`) VALUES
(1, 1, 3, 30),
(2, 5, 3, 0);

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `msg`
--

CREATE TABLE `msg` (
  `msg_id` bigint(11) NOT NULL,
  `drop_id` tinytext NOT NULL,
  `msg` tinytext NOT NULL,
  `blob_type` tinytext DEFAULT NULL,
  `msg_blob` longblob DEFAULT NULL,
  `msg_date` date NOT NULL,
  `msg_time` time NOT NULL,
  `author` varchar(255) NOT NULL DEFAULT 'anonimous'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `role`
--

CREATE TABLE `role` (
  `drop_id` varchar(38) NOT NULL,
  `clientID` varchar(38) NOT NULL,
  `Role` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Indizes der exportierten Tabellen
--

--
-- Indizes für die Tabelle `clients`
--
ALTER TABLE `clients`
  ADD PRIMARY KEY (`clientID`);

--
-- Indizes für die Tabelle `ddrop`
--
ALTER TABLE `ddrop`
  ADD PRIMARY KEY (`ID`);

--
-- Indizes für die Tabelle `dropconfig`
--
ALTER TABLE `dropconfig`
  ADD PRIMARY KEY (`ID`);

--
-- Indizes für die Tabelle `msg`
--
ALTER TABLE `msg`
  ADD PRIMARY KEY (`msg_id`),
  ADD KEY `i_drop_id` (`drop_id`(255));

--
-- Indizes für die Tabelle `role`
--
ALTER TABLE `role`
  ADD PRIMARY KEY (`drop_id`,`clientID`),
  ADD KEY `IDX_DROP_ID` (`drop_id`),
  ADD KEY `IDX_CLIENT_ID` (`clientID`);

--
-- AUTO_INCREMENT für exportierte Tabellen
--

--
-- AUTO_INCREMENT für Tabelle `msg`
--
ALTER TABLE `msg`
  MODIFY `msg_id` bigint(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1644622;

--
-- Constraints der exportierten Tabellen
--

--
-- Constraints der Tabelle `role`
--
ALTER TABLE `role`
  ADD CONSTRAINT `FK_CLIENT_ID` FOREIGN KEY (`clientID`) REFERENCES `clients` (`clientID`),
  ADD CONSTRAINT `FK_DROP_ID` FOREIGN KEY (`drop_id`) REFERENCES `ddrop` (`ID`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
